Name: H5Dextend
Signature:
  herr_t `H5Dextend`(hid_t `dataset_id`, const hsize_t * `size` )
Purpose:
  Extends a dataset.
Description:
  `H5Dextend` verifies that the dataset is at least of size `size`, extending it if necessary. The dimensionality of `size` is the same as that of the dataspace of the dataset being changed.

  This function can be applied to the following datasets:

  - Any dataset with unlimited dimensions
  - A dataset with fixed dimensions if the current dimension sizes are less than the maximum sizes set with `maxdims` (see `H5Screate_simple`)

  Space on disk is immediately allocated for the new dataset extent if the dataset’s space allocation time is set to `H5D_ALLOC_TIME_EARLY`. Fill values will be written to the dataset if the dataset’s fill time is set to `H5D_FILL_TIME_IFSET` or `H5D_FILL_TIME_ALLOC`. (See `H5Pset_fill_time` and `H5Pset_alloc_time`.)

Parameters:

hid_t `dataset_id` | IN: Identifier of the dataset.
const hsize_t * `size` | IN: Array containing the new magnitude of each dimension.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5dextend_f

      SUBROUTINE h5dextend_f(dataset_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: dataset_id   ! Dataset identifier
        INTEGER(HSIZE_T), DIMENSION(*), INTENT(IN)  :: size
                                                   ! Array containing
                                                   ! dimensions' sizes
        INTEGER, INTENT(OUT) :: hdferr             ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5dextend_f